org.apache.maven.scm

## Interface ScmVersion

- All Known Implementing Classes:
    AbstractScmVersion, ScmBranch, ScmRevision, ScmTag

      public interface ScmVersion

  Version:
    $Id: ScmVersion.java 774900 2009-05-14 19:53:16Z olamy $
  Author:
    Emmanuel Venisse

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getName()`
    `String` | `getType()`
    `void` | `setName(String name)`

- - ### Method Detail

    - #### getType

          String getType()

      Returns:
        the Version type like branch

    - #### getName

          String getName()

      Returns:
        the Version name

    - #### setName

          void setName(String name)

      Parameters:
        `name` - new Version name could be null

Copyright © 2003–2015. All rights reserved.